%define name	gnome-socket
%define ver	0.1.0
%define RELEASE	1
%define rel	%{?CUSTOM_RELEASE} %{!?CUSTOM_RELEASE:%RELEASE}
%define prefix /usr
%define sysconfdir /etc

Summary: GNOME socket library.
Name: %name
Version: %ver
Release: %rel
Copyright: LGPL
Group: System Environment/Base
Source: gnome-socket-%{ver}.tar.gz
URL: http://gnome-socket.sourceforge.net
BuildRoot: /var/tmp/gnome-socket-root
Docdir: %{prefix}/doc

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
applications and desktop tools to be used in conjunction with a window
manager for the X Window System.  GNOME is similar in purpose and scope
to CDE and KDE, but GNOME is based completely on free software.
The gnome-socket package contains libraries that are needed by GNOME
applications wanting to use sockets.

You should install the gnome-socket package if you intend on using any of
the GNOME applications that can use sockets. If you would like to develop GNOME
applications that can use sockets you will also need to install the
gnome-socket-devel package.

%package devel
Summary: Libraries and include files for developing gnome-socket applications.
Group: Development/Libraries

%description devel
GNOME (GNU Network Object Model Environment) is a user-friendly set of
applications and desktop tools to be used in conjunction with a window
manager for the X Window System.  GNOME is similar in purpose and scope
to CDE and KDE, but GNOME is based completely on free software.
The gnome-socket-devel package includes the libraries and include files that
you will need when developing applications that use the GNOME socket
facilities.

You should install the gnome-socket-devel package if you would like to 
develop GNOME applications that will use the GNOME socket facilities.
You don't need to install the gnome-socket-devel package if you just want 
to use the GNOME desktop enviornment.

%changelog

* Sun Jan 16 2000 Roberto Zunino <zunrob@users.sourceforge.net>

- Changed description.

* Wed Jan 12 2000 John Gotts <jgotts@linuxsavvy.com>

- Updated to include more library autoconfiguration stuff.

* Thu Dec 02 1999 John Gotts <jgotts@linuxsavvy.com>

- Created the SPEC file.

%prep
%setup

%build

MYCFLAGS="$RPM_OPT_FLAGS"

if [ ! -f configure ]; then
  CFLAGS="$MYCFLAGS" ./autogen.sh $MYARCH_FLAGS --prefix=%prefix --sysconfdir=%sysconfdir --localstatedir=/var/lib
else
  CFLAGS="$MYCFLAGS" ./configure $MYARCH_FLAGS --prefix=%prefix --sysconfdir=%sysconfdir --localstatedir=/var/lib
fi

if [ "$SMP" != "" ]; then
  make -j$SMP "MAKE=make -j$SMP"
else
  make
fi

%install
rm -fr $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} install

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-, root, root)

%doc ABOUT-NLS AUTHORS ChangeLog COPYING INSTALL NEWS README
%{prefix}/lib/lib*.so.*

%files devel
%defattr(-, root, root)

%{prefix}/lib/lib*.so
%{prefix}/lib/*.a
%{prefix}/lib/*.la
%{prefix}/lib/*.sh
%{prefix}/include/*
